# Get customer onboarding progress (/docs/api-reference/admin-onboarding/AdminOnboardingController_status)

`GET /admin/onboard/{orgId}`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `orgId` | path | yes | string |  |

## Responses

### 200

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "organizationId": {
      "type": "string"
    },
    "organizationSlug": {
      "type": "string"
    },
    "factoryId": {
      "type": "string"
    },
    "factorySlug": {
      "type": "string"
    },
    "inviteLink": {
      "type": "string",
      "description": "Deprecated: always empty; use onboarding status and retry-invite"
    },
    "trialEndsAt": {
      "type": "string",
      "example": "2026-05-26T14:30:00.000Z"
    },
    "pendingShipmentId": {
      "type": "object",
      "description": "Always null: hardware provisioning is a separate operation"
    },
    "status": {
      "type": "string",
      "enum": [
        "invitation_pending",
        "sending",
        "awaiting_acceptance",
        "accepted",
        "expired"
      ]
    }
  },
  "required": [
    "organizationId",
    "organizationSlug",
    "factoryId",
    "factorySlug",
    "inviteLink",
    "trialEndsAt",
    "pendingShipmentId",
    "status"
  ]
}
```